d/tests: Re-arrange test steps to help with debugging

Signed-off-by: James Valleroy <jvalleroy@mailbox.org>
Reviewed-by: Sunil Mohan Adapa <sunil@medhas.org>
This commit is contained in:
James Valleroy 2026-08-17 20:15:55 -04:00 committed by Sunil Mohan Adapa
parent 031bbb53cb
commit b6e122816d
No known key found for this signature in database
GPG Key ID: 43EA1CFF0AA7C5F2

View File

@ -22,17 +22,17 @@ for _ in $(seq 1 120); do
done
# Print final status in test log
cat /tmp/fbx_status.json
cat /tmp/fbx_status.json || true
rm -f /tmp/fbx_status.json
if [ "$SETUP_COMPLETE" -eq 0 ]; then
echo "Error: first-boot setup did not complete in the allotted time." >&2
exit 1
fi
journalctl --unit=plinth --unit=freedombox-privileged
# Access FreedomBox interface
curl --location --cookie "" --fail --write-out "%{response_code}" --insecure \
--stderr - https://localhost/freedombox/
if [ "$SETUP_COMPLETE" -eq 0 ]; then
echo "Error: first-boot setup did not complete in the allotted time." >&2
exit 1
fi